## LassoEcpRelayState

LassoEcpRelayState — <ecp:RelayState>

## Functions

int | lasso_ecp_relay_state_validate ()
LassoNode * | lasso_ecp_relay_state_new ()

## Description

Figure 96. Schema fragment for ecp:RelayState

    <element name="RelayState" type="ecp:RelayStateType"/>
    <complexType name="RelayStateType">
        <simpleContent>
            <extension base="string">
                <attribute ref="S:mustUnderstand" use="required"/>
                <attribute ref="S:actor" use="required"/>
            </extension>
        </simpleContent>
    </complexType>

## Functions

### lasso_ecp_relay_state_validate ()

    int
    lasso_ecp_relay_state_validate (LassoEcpRelayState *relaystate);

Validates the LassoEcpRelayState object conforms to required values.

- RelayState must be non-NULL
- mustUnderstand must be TRUE
- actor must be equal to LASSO_SOAP_ENV_ACTOR

#### Parameters

relaystate | The LassoEcpRelayState |

#### Returns

0 on success, error code otherwise

### lasso_ecp_relay_state_new ()

    LassoNode *
    lasso_ecp_relay_state_new (const gchar *RelayState);

The LassoEcpRelayState object is initialized as follows:

RelayState = `RelayState` (if non-NULL)
mustUnderstand = TRUE
actor = LASSO_SOAP_ENV_ACTOR

#### Parameters

RelayState | . | [allow-none]

#### Returns

a newly created and initialized LassoEcpRelayState object

## Types and Values